PanelMenuItemRenderer (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.renderkit.html.PanelMenuItemRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class PanelMenuItemRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.PanelMenuRendererBase
                      org.richfaces.renderkit.html.PanelMenuItemRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  HtmlPanelMenuItemRenderer

    public class PanelMenuItemRenderer

extends PanelMenuRendererBase

Field Summary

Fields inherited from class org.richfaces.renderkit.PanelMenuRendererBase
`PANEL_MENU_SPACER_ICON_NAME`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`PanelMenuItemRenderer()`

Method Summary
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class` | `getComponentClass()`
`java.lang.String` | `getFullStyle(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getFullStyleClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getIconClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String align)`
`java.lang.String` | `getLabelClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getSelectedClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `insertImage(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object data)`
`boolean` | `isSelected(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.PanelMenuRendererBase
`calculateLevel, drawIcon, findMenu, getHideStyle, getIconByType, getItemMode, insertLabel, insertSpacerImages, isChildrenExpanded, isParentDisabled, isSubmitted, isTopLevel`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanelMenuItemRenderer

    public PanelMenuItemRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Overrides:
    `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### insertImage

    public void insertImage(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component,
                            java.lang.Object data)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFullStyleClass

    public java.lang.String getFullStyleClass(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component)

### getFullStyle

    public java.lang.String getFullStyle(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)

### getSelectedClass

    public java.lang.String getSelectedClass(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent component)

### getLabelClass

    public java.lang.String getLabelClass(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)

### getIconClass

    public java.lang.String getIconClass(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component,
                                         java.lang.String align)

### isSelected

    public boolean isSelected(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.